# openPilotLog: ASettings Class Reference

ASettings Class Reference

The Settings class is a thin wrapper for the QSettings class, simplifying reading and writing of settings. More...

`#include <asettings.h>`

## Static Public Member Functions

static QVariant | read (const QString &key)
static void | write (const QString &key, const QVariant &val)

## Detailed Description

The Settings class is a thin wrapper for the QSettings class, simplifying reading and writing of settings.

The documentation for this class was generated from the following files:

- src/classes/asettings.h
- src/classes/asettings.cpp